Hooks:PostHook(WeaponTweakData, "init", "BL2ARsModInit", function(self)
	self.bandit_ar_crew = deep_clone(self.s552_crew)
	self.bandit_mg_crew = deep_clone(self.m249_crew)
	self.dahl_ar_crew = deep_clone(self.m16_crew)
	self.jakobs_ar_crew = deep_clone(self.scar_crew)
	self.vladof_ar_crew = deep_clone(self.flint_crew)
if self.SetupAttachmentPoint then
	self:SetupAttachmentPoint("bandit_ar",{
		name = "a_b_minigun",
		base_a_obj = "a_b",
		position = Vector3(0, -20.65, -4.2)
	})
	self:SetupAttachmentPoint("bandit_ar",{
		name = "a_m",
		base_a_obj = "a_m",
		position = Vector3(0, -0.5, -1.7)
	})
	self:SetupAttachmentPoint("bandit_mg",{
		name = "a_b_minigun",
		base_a_obj = "a_b",
		position = Vector3(0, -31.65, -7)
	})
	self:SetupAttachmentPoint("bandit_mg",{
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3(0, 2.2, 1.1)
	})
	self:SetupAttachmentPoint("bandit_mg",{
		name = "a_bolt",
		base_a_obj = "a_body",
		position = Vector3(0, -1, 0.5)
	})
	self:SetupAttachmentPoint("bandit_mg",{
		name = "a_cover",
		base_a_obj = "a_upper",
		position = Vector3(0, -0.275, -1.275)
	})
	self:SetupAttachmentPoint("bandit_mg", {
		name = "a_m_box",
        base_a_obj = "a_m",
		part_attach_data = {{"wpn_fps_bl2ar_bandit_magmg_anim"},"g_mag_lod0"},
		position = Vector3(-9.7, 1, -8.7)
	})
	self:SetupAttachmentPoint("dahl_ar",{
		name = "a_b_minigun",
		base_a_obj = "a_b",
		position = Vector3(0, -3.2, -4.95)
	})
	self:SetupAttachmentPoint("dahl_ar",{
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3(0, 0, 1)
	})
	self:SetupAttachmentPoint("dahl_ar",{
		name = "a_dh",
		base_a_obj = "a_dh",
		position = Vector3(0, -2.5, 0.95)
	})
	self:SetupAttachmentPoint("dahl_ar",{
		name = "a_m",
		base_a_obj = "a_m",
		position = Vector3(0, 0.5, -2)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_b_minigun",
		base_a_obj = "a_b",
		position = Vector3(0, -0.025, -3.8)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_bolt",
		base_a_obj = "a_bolt",
		position = Vector3(-0.8, -10.7, -6.1)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3(0, -1.1, 2)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_hammer",
		base_a_obj = "a_body",
		position = Vector3(-0.7, 5.2, 8)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_loader",
		base_a_obj = "a_body",
		position = Vector3(-0.7, 8, 11.3),
		rotation = RotationCAP(0, 90, 0)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_m",
		base_a_obj = "a_m",
		position = Vector3(0, 5.5, -8.5)
	})
	self:SetupAttachmentPoint("jakobs_ar",{
		name = "a_spinner",
		base_a_obj = "a_body",
		position = Vector3(-0.8, 11.3, 4.4)
	})
	self:SetupAttachmentPoint("vladof_ar",{
		name = "a_b_minigun",
		base_a_obj = "a_b",
		position = Vector3(0, -5.15, -4.5)
	})
	self:SetupAttachmentPoint("vladof_ar",{
		name = "a_body",
		base_a_obj = "a_body",
		position = Vector3(0, -0.5, 3)
	})
	self:SetupAttachmentPoint("vladof_ar",{
		name = "a_dh",
		base_a_obj = "a_dh",
		position = Vector3(-0.25, -1.8, -3.3)
	})
	self:SetupAttachmentPoint("vladof_ar",{
		name = "a_m",
		base_a_obj = "a_m",
		position = Vector3(0, 0.4, -2)
	})
	self:SetupAttachmentPoint("vladof_ar",{
		name = "a_m_release",
		base_a_obj = "a_m_release",
		position = Vector3(0, 1.6, 1.9)
	})
end
end)